package com.hw.ems.report.service;

import com.hw.ems.report.domain.ReportPointDnb;
import com.hw.ems.report.domain.ReportPointDnbDTO;

import java.util.List;

/**
 * 电整点数据Service接口
 *
 * @author YinQ
 * @date 2023-04-05
 */
public interface IReportPointDnbService
{
    /**
     * 查询电整点数据
     *
     * @param objid 电整点数据主键
     * @return 电整点数据
     */
    public ReportPointDnb selectReportPointDnbByObjid(Long objid);

    /**
     * 查询电整点数据列表
     *
     * @param reportPointDnb 电整点数据
     * @return 电整点数据集合
     */
    public List<ReportPointDnb> selectReportPointDnbList(ReportPointDnb reportPointDnb);

    /**
     * 新增电整点数据
     *
     * @param reportPointDnb 电整点数据
     * @return 结果
     */
    public int insertReportPointDnb(ReportPointDnb reportPointDnb);

    /**
     * 修改电整点数据
     *
     * @param reportPointDnb 电整点数据
     * @return 结果
     */
    public int updateReportPointDnb(ReportPointDnb reportPointDnb);

    /**
     * 批量删除电整点数据
     *
     * @param objids 需要删除的电整点数据主键集合
     * @return 结果
     */
    public int deleteReportPointDnbByObjids(String objids);

    /**
     * 删除电整点数据信息
     *
     * @param objid 电整点数据主键
     * @return 结果
     */
    public int deleteReportPointDnbByObjid(Long objid);

    /**
     * 日月年电数据List
     * @param reportPointDnb
     * @return
     */
    List<ReportPointDnbDTO> datePointDnbList(ReportPointDnb reportPointDnb);
}
